

function get_ndi(){
	$.ajax({
	    type: "GET",
	    url: "http://" + xc_gethost() + "/get_status",
	    dataType: "xml",
	    cache: false,
	    error: function () {
	    },
	    success: function (data) {
            var deviceid = $(data).find("deviceid").text();
            var module = $(data).find("module").text();
            var ndi_licence = $(data).find("ndi_licence").text();
            $("#deviceid").html(deviceid);
            $("#module").html(module);
            if(ndi_licence == "1") {
                $("#ndi_licence").hide();
                $('#ndi_setting').hide();
                $("#ndi_licence_tip").show();
                $("#ndi_licence_tip").html($.i18n.prop('ndi_licence_tip'));
            }else{
                $("#ndi_licence").show();
                $('#ndi_setting').show();
                $("#ndi_licence_tip").hide();
            }
        }
    });
}

function SetLicence() {
    var licence = $("#ndi_licence").val();
    
    if(licence == ""){
        // alert('授权码不能为空！');
        alert($.i18n.prop('ndi_licence_can_not_be_empty'));
        return;
    }

    $.ajax({
        type: "GET",
        url: "/debug?cmd=verify_ndi_license&file=" + licence,
        dataType: "text",
        cache: false,
        async: false,
        success: function (data) {
            if (data == "succeed") {
                // alert('NDI授权成功！');
                alert($.i18n.prop('ndi_licence_success'));
            }
            else {
                // alert('NDI授权失败！');
                alert($.i18n.prop('ndi_licence_failed'));
            }
        }
    });
}

function IsInteger(interger) {
    var IsInteger = true;
    if (parseInt(interger) == interger) {
        IsInteger = true;
    }
    else {
        IsInteger = false;
    }
    return IsInteger;
}

function language_setup() {
    jQuery.i18n.properties({
        name: 'common',
        path: '../lang/',
        mode: 'map',
        language: window.parent.get_language_setup(),
        callback: function () {
            $('#header_text').html($.i18n.prop('ndi_header_text'));
            $('#deviceid_txt').html($.i18n.prop('ndi_deviceid_txt'));
            $('#module_txt').html($.i18n.prop('ndi_module_txt'));
            $('#ndi_licence_txt').html($.i18n.prop('ndi_licence_txt'));
            $('#ndi_setting').val($.i18n.prop('ndi_setting'));
        }
    });
}

$(function () {
	language_setup();
    get_ndi();
});